Page MenuHomePhabricator

Fatal error: Call to undefined method SearchResultSet::addInterwikiResults() in /srv/mediawiki/php-1.26wmf11/extensions/CirrusSearch/includes/CirrusSearch.php on line 159
Closed, ResolvedPublic

Description

Currently suffering around 60 of these per hour:

{
  "_index": "logstash-2015.06.29",
  "_type": "hhvm",
  "_id": "rOLcen60QZ6gFKCtfvhjBQ",
  "_score": null,
  "_source": {
    "message": "Fatal error: Call to undefined method SearchResultSet::addInterwikiResults() in /srv/mediawiki/php-1.26wmf11/extensions/CirrusSearch/includes/CirrusSearch.php on line 159",
    "@version": "1",
    "@timestamp": "2015-06-29T12:12:01.000Z",
    "type": "hhvm",
    "host": "mw1145",
    "priority": 11,
    "timestamp": "Jun 29 12:12:01",
    "logsource": "mw1145",
    "program": "hhvm",
    "severity": 3,
    "facility": 1,
    "facility_label": "user-level",
    "severity_label": "Error",
    "level": "Fatal",
    "tags": [
      "syslog",
      "es",
      "normalized_message_untrimmed"
    ],
    "normalized_message": "Fatal error: Call to undefined method SearchResultSet::addInterwikiResults() in /srv/mediawiki/php-1.26wmf11/extensions/CirrusSearch/includes/CirrusSearch.php on line 159"
  },
  "sort": [
    1435579921000
  ]
}

Event Timeline

jcrespo created this task.Jun 29 2015, 12:22 PM
jcrespo updated the task description. (Show Details)
jcrespo raised the priority of this task from to Unbreak Now!.
jcrespo added a subscriber: jcrespo.
Restricted Application added a project: Discovery. · View Herald TranscriptJun 29 2015, 12:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
jcrespo updated the task description. (Show Details)Jun 29 2015, 12:42 PM
jcrespo set Security to None.

Change 223380 had a related patch set uploaded (by Chad):
Clean up empty result set scenario

https://gerrit.wikimedia.org/r/223380

mmodell added a subscriber: mmodell.Jul 8 2015, 6:16 PM

This error seems to be resolved in 1.26wmf13

Change 223380 merged by jenkins-bot:
Clean up empty result set scenario

https://gerrit.wikimedia.org/r/223380

Change 223658 had a related patch set uploaded (by Manybubbles):
Suppress interwiki results when they would break

https://gerrit.wikimedia.org/r/223658

Change 223658 merged by jenkins-bot:
Suppress interwiki results when they would break

https://gerrit.wikimedia.org/r/223658

Change 223665 had a related patch set uploaded (by EBernhardson):
Suppress interwiki results when they would break

https://gerrit.wikimedia.org/r/223665

Change 223666 had a related patch set uploaded (by EBernhardson):
Suppress interwiki results when they would break

https://gerrit.wikimedia.org/r/223666

Change 223665 merged by jenkins-bot:
Suppress interwiki results when they would break

https://gerrit.wikimedia.org/r/223665

Change 223666 merged by jenkins-bot:
Suppress interwiki results when they would break

https://gerrit.wikimedia.org/r/223666

Manybubbles closed this task as Resolved.Jul 8 2015, 9:54 PM
Manybubbles claimed this task.
Manybubbles added a subscriber: Manybubbles.

Looks like +2ing code in a submodule now automatically merges a submodule update to core. I did that early to prepare for SWAT and that confused everything. So I just synced these so the cluster would stay clean. Fatal now gone. Happy days.

Change 223716 had a related patch set uploaded (by EBernhardson):
Clean up empty result set scenario

https://gerrit.wikimedia.org/r/223716

Change 223716 abandoned by EBernhardson:
Clean up empty result set scenario take 2

Reason:
the underlying code for empty result sets has changed since this was up, issue might be solved.

https://gerrit.wikimedia.org/r/223716

Restricted Application added a project: Discovery-Search. · View Herald TranscriptDec 6 2016, 5:13 PM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald Transcript